%define real_name NetPIPE

Summary: Protocol independent performance tool
Name: netpipe
Version: 3.7.2
Release: 1
License: GPL
Group: Applications/Internet
URL: http://bitspjoule.org/netpipe/
Source0: http://bitspjoule.org/netpipe/code/%{real_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
NetPIPE is a protocol independent performance tool that visually represents
the network performance under a variety of conditions. It performs simple
ping-pong tests, bouncing messages of increasing size between two processes,
whether across a network or within an SMP system. Message sizes are chosen
at regular intervals, and with slight perturbations, to provide a complete
test of the communication system. Each data point involves many ping-pong
tests to provide an accurate timing. Latencies are calculated by dividing
the round trip time in half for small messages ( < 64 Bytes ).


%prep
%setup -n %{real_name}-%{version}


%build
make %{?_smp_mflags} memcpy tcp CFLAGS="-O"


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

cp NPmemcpy NPtcp ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

cp dox/netpipe.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc dox/README dox/*.pdf dox/*.ps
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Mon Nov 09 2015 Michael Perzl <michael@perzl.org> - 3.7.2-1
- updated to version 3.7.2

* Tue Sep 16 2008 Michael Perzl <michael@perzl.org> - 3.7.1-1
- first version for AIX V5.1 and higher
